SymetryML Documentation
Federated learning

Get federation error log

Get the log of errors encountered during federation synchronization for this project, including any PSR contract errors.

GET
/{user}/fedml/{project}/getErrorLog

Get the log of errors encountered during federation synchronization for this project, including any PSR contract errors.

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

project*string

Project identifier

Response Body

application/json

application/json

curl -X GET "https://example.com/c1/fedml/nbra_prj_iris/getErrorLog"
{  "statusCode": 200,  "statusString": "OK",  "values": {    "stringList": {      "values": [        "no error"      ]    }  }}

{  "statusCode": 500,  "statusString": "Error Invalid project name / or not logged in.",  "values": {}}